diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/efftcl/testProgressGauge.tcl smixx/src/utilities/efftcl/testProgressGauge.tcl
--- smixx_web/src/utilities/efftcl/testProgressGauge.tcl	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/efftcl/testProgressGauge.tcl	2006-11-26 10:10:35.000000000 +0100
@@ -0,0 +1,45 @@
+
+source dialog.tcl
+source notice.tcl
+source progressGauge.tcl
+#============================= Example  =====================================
+proc updateScript {idGauge} {
+	global i idNotice
+	
+	incr i
+        if { $i >= 100} {
+		set cntls [dialog_controls $idNotice]
+		set info [dialog_info $idNotice]
+		pack forget $idGauge
+		pack $cntls.dismiss
+		$info.mesg configure -text Finished 
+		return
+	}	
+	gauge_value $idGauge $i
+        after 1000 [list updateScript $idGauge]
+        return
+}
+global idNotice
+set idNotice [notice_show " Starting process"]
+set cntls [dialog_controls $idNotice]
+pack forget $cntls.dismiss
+
+#global idGauge
+set idGauge [gauge_create $cntls.gauge PaleGreen]
+pack $idGauge -expand yes -fill both -padx 10 -pady 10
+
+global i
+set i 0
+#after 1000 [list updateScript $idGauge]
+update
+gauge_value $idGauge 10 Blue
+after 5000
+gauge_value $idGauge 20 Yellow
+after 1000
+gauge_value $idGauge 30 Pink
+after 1000
+gauge_value $idGauge 40
+after 1000
+gauge_value $idGauge 50
+after 1000
+gauge_value $idGauge 120 Red
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/getDomainObjects.cxx smixx/src/utilities/getDomainObjects.cxx
--- smixx_web/src/utilities/getDomainObjects.cxx	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/getDomainObjects.cxx	2006-11-26 10:08:09.000000000 +0100
@@ -0,0 +1,27 @@
+#include <iostream>
+#include <string>
+#include <smiuirtl.hxx>
+using namespace std;
+
+class Domain: public SmiDomain
+{
+	public:
+		Domain(char* name): SmiDomain(name) {};
+};
+
+int main(int argc, char* argv[])
+{
+	Domain *domainp;
+	domainp = new Domain(argv[1]);
+
+//	cout << domainp->getNObjects() << endl;
+
+	SmiObject* pSmiObject;
+	
+	while ( pSmiObject = domainp->getNextObject() )
+	{
+		cout << pSmiObject->getName() << endl;
+	}
+	
+	return 0;
+}
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/getObjectState.cxx smixx/src/utilities/getObjectState.cxx
--- smixx_web/src/utilities/getObjectState.cxx	2004-11-25 17:58:20.000000000 +0100
+++ smixx/src/utilities/getObjectState.cxx	2006-05-11 23:07:36.000000000 +0200
@@ -22,6 +22,9 @@
         cerr << "Error No object specified" << endl;
         exit(1);
     }
+    if ( argc > 2) {
+        putenv("DIM_DNS_NODE", argv[2]);
+    }
     
     if ( getenv("DIM_DNS_NODE") == 0 ) {
         cerr << "***Error getObjectState DIM_DNS_NODE is undefined" << endl;
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/getTimeString.c smixx/src/utilities/getTimeString.c
--- smixx_web/src/utilities/getTimeString.c	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/getTimeString.c	2005-12-11 11:20:34.000000000 +0100
@@ -0,0 +1,10 @@
+#include <time.h>
+char* getTimeString() {
+	time_t t;
+        char* z;
+        
+        t = time((time_t *)0);
+        z = ctime(&t);
+        *(char *)strchr(z,'\n') = '\0';
+        return z;
+}
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/monObjectState.cxx smixx/src/utilities/monObjectState.cxx
--- smixx_web/src/utilities/monObjectState.cxx	2004-11-25 17:58:20.000000000 +0100
+++ smixx/src/utilities/monObjectState.cxx	2006-05-11 23:08:16.000000000 +0200
@@ -46,6 +46,10 @@
         exit(1);
     }
     
+    if ( argc > 2) {
+        putenv("DIM_DNS_NODE", argv[2]);
+    }
+    
     if ( getenv("DIM_DNS_NODE") == 0 ) {
         cerr << "***Error getObjectState DIM_DNS_NODE is undefined" << endl;
         exit(11);
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/monObjects.cxx smixx/src/utilities/monObjects.cxx
--- smixx_web/src/utilities/monObjects.cxx	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/monObjects.cxx	2007-03-19 09:55:43.000000000 +0100
@@ -0,0 +1,635 @@
+//===========================================================================
+//
+//                                      Boda Franek   Dec 2005
+// Copyright Information:
+//      Copyright (C) 2005 CCLRC. All Rights Reserved
+//
+// $Id: monObjects.cxx,v 1.20 2007/01/19 15:18:21 franek Exp $
+//===========================================================================
+
+#include <iostream>
+#include <istream>
+#include <string>
+#include <vector>
+#include <dis.hxx>
+using namespace std;
+#include <stdlib.h>
+#include <smiuirtl.hxx>
+#include "smixx_common.hxx"
+
+#include <ctype.h>
+#include "getTimeString.c"
+
+void removeObject(char* name);
+void registerObject(char* name);
+void sendCommandToObject(char* commandString);
+
+const static int timer_tick(60);
+
+static int logflg;
+static ofstream logFile;
+
+class MyObject;
+
+
+MyObject* findObject(char* name);
+MyObject* pFirstRegisteredObject = 0;
+
+//==========================================================================
+class Timer:public DimTimer
+{
+public:
+    Timer(int time) : DimTimer(time) {};
+    void timerHandler();
+};
+//==========================================================================
+void Timer::timerHandler() {
+    string timeString = getTimeString();
+
+    cout << timeString.substr(4,15) << "/*time-tick" << endl;
+
+    stop();
+    start(timer_tick);
+}
+//==========================================================================
+class MyObject: public SmiObject
+{    
+    void  smiStateChangeHandler();
+    void smiExecutingHandler();
+    void getPars (string& parsString);  
+    void getActionPars(SmiAction* ptrAct, string& parsString); 
+    void getParam(SmiParam* ptrPar, string& parString);
+    
+
+public:
+    MyObject(char* fullObjName): SmiObject(fullObjName) { }
+    	MyObject* prev;
+    	MyObject* next;
+};
+//===========================================================================
+class Command: public DimCommand 
+{ 
+	void commandHandler() 
+	{ 
+		char temp[10];
+//        cout << "Received : " << getString() << endl;
+		
+		if ( strncmp(getString(),"register/",9) == 0 )
+		{
+			registerObject(getString()+9);
+		}
+		else if ( strncmp(getString(),"remove/",7) == 0 )
+		{
+			removeObject(getString()+7);
+		}
+		else if ( strncmp(getString(),"exit/",5) == 0 )
+		{
+			exit(0);
+		}
+				
+		else if ( strncmp(getString(),"command/",8) == 0 )
+		{
+			sendCommandToObject(getString()+8);
+		}
+		else
+		{
+//			cout << " *** monObjects: unknown command" << endl;
+		}
+	} 
+	public: 
+		Command(const char* serviceName);
+}; 
+//==========================================================================
+Command::Command(const char* serviceName)
+	: DimCommand(serviceName,"C")
+{
+}
+//==========================================================================
+int convertStringToHex(char* outstr, char* instr, int noutMax)
+{
+/* It will convert input character string to a string, in which every character on input
+  is interpreted as integer and is represented by exactly two characters. For example:
+  character 7  is represented by character 3 followed by chacter 7 or
+  BELL character is represented by character 0 followed by character 7 
+  instr   is a pointer to the input string
+  outstr  is a pointer to the output string
+  noutMax is the max number of characters in the output string. when zero,
+          the function simply returns the number of characters that would be output
+	  into the outstr */
+	  
+	int i;
+	int ich;
+	char* pin;
+	char* pout;
+	
+	int lenin = strlen(instr);
+	int nout = 2*lenin;
+	if ( noutMax == 0 ) { return nout; }
+	if ( nout > noutMax )
+	{ 
+		printf(" Not enough space in the output string \n");
+		return -1;
+	}
+	
+	pin = instr;
+	pout = outstr;
+	
+	for ( i=0; i<lenin; i++)
+	{
+		ich = static_cast<int>(*(pin+i));
+		sprintf(pout,"%02X",ich);
+		pout = pout + 2;
+	}
+	
+	*pout = '\0';
+	return nout;	
+}
+//============================================================================
+int convertHexToString(char* outstr, char* instr, int noutMax)
+{
+/* Each pair of characters (starting with the 0th and the 1st) is interpreted
+   as hex number and converted into the corresponding character. For example
+   the pair 07 is converted into BELL character or
+   the pair 37 is converted into character 7
+   It also follows, that number of characters in the input string has to be
+   even.
+   instr is pointer to the input string
+   outstr is pointer to the output string
+   noutMax  is the max number of characters in the output string. when zero,
+          the function simply returns the number of characters that would be output
+	  into the outstr */
+   
+	int i;
+	int ich;
+	char* pin;
+	char* pout;
+	char buf[3];
+	
+	int lenin = strlen(instr);
+	int nout = lenin/2;
+	
+	if ( (lenin % 2) != 0 )
+	{
+		printf(" No of characters in the input string is not even \n");
+		return -1;
+	}
+	if ( noutMax == 0 ) { return nout; }
+	if ( nout > noutMax )
+	{ 
+		printf(" Not enough space in the output string \n");
+		return -1;
+	}
+	
+	pin = instr;
+	pout = outstr;
+
+	for ( i=0; i<lenin; i = i + 2 )
+	{
+		buf[0] = *(pin+i); buf[1] = *(pin+i+1);
+		sscanf(buf,"%X",&ich);
+		*pout = static_cast<char>(ich);
+		pout = pout +1;
+	}
+	
+	*pout = '\0';
+	return nout;
+}
+//==========================================================================
+void MyObject::getParam(SmiParam* ptrPar, string& parString) {
+    int parType, hasValue;
+    
+    parString = "";
+    
+    parType = ptrPar->getType();
+    hasValue = ptrPar->hasValue();
+	
+    parString = parString + "/" + ptrPar->getName() ; 
+	
+    if (parType == 0) { parString += "(S)";}
+    else if (parType == 1) { parString += "(I)";}
+    else if (parType == 2) { parString += "(F)";}
+	
+    if (hasValue) {
+	parString += "=";
+        if (parType == 0) {
+		char* point = ptrPar->getValueString();
+//		printf("\n\n parameter %s \n value :",ptrPar->getName());
+		int nout = convertStringToHex(NULL,point,0);
+		if ( nout < 0 ) { exit (1);}
+		char* tempVal = new char[nout+1];
+		convertStringToHex(tempVal, point, nout);
+			
+		parString += tempVal;
+		delete [] tempVal; 
+	}
+	else if (parType == 1) {
+            int vali=ptrPar->getValueInt();
+	    char cvali[10];
+	    sprintf(cvali,"%i",vali);
+	    parString += cvali;
+        }
+        else if (parType == 2) {
+            double  valf=ptrPar->getValueFloat();
+            char cvalf[15];
+	    sprintf(cvalf,"%e",valf);
+	    parString += cvalf;
+	}
+    }    
+    return;
+}
+//==========================================================================
+void MyObject::getPars(string& parsString) {
+    SmiParam* ptrPar;
+    string parString;
+    int first = 0;
+    
+    parsString = "";
+
+    int parType, hasValue;
+        
+    while ( ptrPar = getNextParam() ) {
+        if ( first == 0 ) {
+	    first = 1;
+	    parsString = "/*pars";
+	}
+	getParam(ptrPar,parString);
+	parsString += parString;
+    }
+    if (first == 1) {parsString += "/*end_pars";}
+    return;
+}
+//==========================================================================
+void MyObject::getActionPars(SmiAction* ptrAct,string& parsString) {
+    SmiParam* ptrPar;
+    string parString;
+    int first = 0;
+    
+    parsString = "";
+
+    int parType, hasValue;
+        
+    while ( ptrPar = ptrAct->getNextParam() ) {
+        if ( first == 0 ) {
+	    first = 1;
+	    parsString = "/*pars";
+	}
+	getParam(ptrPar,parString);
+	parsString += parString;
+    }
+    if ( first == 1) {parsString += "/*end_pars";}
+    return;
+}
+//============================================================================
+void MyObject::smiStateChangeHandler() {
+    char* state = getState();
+    string timeString = getTimeString();
+    SmiParam* ptrPar;
+    SmiAction* ptrAct;
+    string parsString;
+    
+    cout << timeString.substr(4,15) << "/*object/" 
+         << getName() << "/*state/";
+    
+    if (state != 0) {
+        cout  << state  ;
+	getPars(parsString);
+	cout << parsString;
+	cout << "/*end_state";
+	
+	while ( ptrAct = getNextAction() ) {
+	    cout << "/*action" ;
+	    cout << "/" << ptrAct->getName();
+	    getActionPars(ptrAct,parsString);
+	    cout << parsString;
+	    cout << "/*end_action";
+	}
+	cout << endl;
+    }
+    else {
+        cout << "&DEAD/*end_state" << endl ;
+    }
+}
+//===========================================================================
+void MyObject::smiExecutingHandler() {
+    string timeString = getTimeString();
+
+    if ( getBusy() ) {
+        cout << timeString.substr(4,15) << "/*object/" << getName() << "/*state/";
+        cout << "&Busy/*end_state" << endl;
+    }
+}
+
+//===========================================================================
+void testVersion(ifstream& infile) {
+    string basicString = "Dec 10 14:38:32/*object/&o/*state/READY&n/*pars/PAR&n(S)=UNDEFINED/BPAR&n(S)/CPAR&n(I)=6/DPAR&n(F)=1.700000e+00/*end_pars/*end_state/*action/GOTO_SECOND&n/*pars/APAR&n(S)=5/BPAR&n(S)/*end_pars/*end_action/*action/STAY_HERE&n/*pars/CPAR&n(S)/*end_pars/*end_action";
+    string objName;
+    string outString; int i;
+
+    int num = 0; char cnum[4];
+
+    while (getline((istream&)infile,objName,'\n')) {
+        num++;
+        sprintf(cnum,"%i",num);
+	outString = basicString;
+        i = outString.find("&o",0);
+        outString.replace(i,2,objName.c_str());
+        while ( 1 == 1 ) {
+            i = outString.find("&n",i+1);
+            if ( i == string::npos ) break;
+            outString.replace(i,2,cnum);
+        }
+        sleep(1);
+        cout << outString << endl;
+    }
+
+    return;
+}
+//===========================================================================
+void registerObject(char* name) {
+
+	MyObject* ptnrObject;
+	MyObject* ptr;
+    
+	ptnrObject = new MyObject(name);
+
+	if ( pFirstRegisteredObject == 0 )
+	{  /* the first object to be registered */
+		pFirstRegisteredObject = ptnrObject;
+		ptnrObject->prev = 0;
+		ptnrObject->next = 0;
+	}
+	else
+	{
+	/***  check whether the object was already registered */
+		if ( findObject(name) != 0 ) 
+		{
+			cout << "error/Object " << name << " already registered" << endl;
+			return;
+		}
+		
+		ptr = pFirstRegisteredObject;
+		while ( ptr->next != 0 ) ptr = ptr->next; 
+		
+		ptr->next = ptnrObject; /*put the new object at the end */
+		ptnrObject->prev = ptr;
+		ptnrObject->next = 0;  /* mark the end of the list */
+	}
+					
+	return;
+}
+//==============================================================================
+void removeObject(char* name) {
+	string timeString = getTimeString();
+
+	MyObject* ptnrObject;
+	MyObject* ptnrNext;
+	MyObject* ptnrPrev;
+	
+	ptnrObject = findObject(name);
+	
+	if ( ptnrObject == 0 ) 
+	{
+		cout << timeString.substr(4,15)
+		     << "/*error/Object " << name << " is not registered"
+		      << endl;
+		return;
+	}
+	
+	ptnrPrev = ptnrObject->prev;
+	ptnrNext = ptnrObject->next;
+	
+	if ( ptnrObject == pFirstRegisteredObject )
+	{   /* It is the first object */
+		pFirstRegisteredObject = ptnrNext;
+		if ( ptnrNext == 0 )
+		{  /* it is the only object */
+		}
+		else 
+		{
+			ptnrNext->prev = 0;
+		}
+	}
+	else 
+	{
+		ptnrPrev->next = ptnrNext;
+		if ( ptnrNext == 0 )
+		{  /* it is the last object */
+		}
+		else
+		{
+			ptnrNext->prev = ptnrPrev;
+		}
+	}
+	delete ptnrObject;
+	cout << timeString.substr(4,15)
+		<< "/*info/removed/" << name << endl;
+	return;
+} 
+//===========================================================================
+SmiAction* findAction(MyObject* ptr, char* actionName) {
+	SmiAction* pa;
+	
+	while ( pa = ptr->getNextAction() )
+	{
+		if ( strcmp(pa->getName(),actionName) == 0 )
+		{
+			return pa;
+		}
+	}
+	return 0;
+}
+//===========================================================================
+MyObject* findObject(char* name) {
+	MyObject* ptr;
+	
+	ptr = pFirstRegisteredObject;
+
+	while ( ptr != 0 )
+	{
+		if ( strcmp(name,ptr->getName()) == 0 )
+		{
+			return ptr;
+		}
+	 	ptr = ptr->next;
+	} 
+	return 0;
+}
+//===========================================================================
+void sendCommandToObject(char* commandString) {
+	char* ptemp;
+	char* pObjectName;
+	char* pActionName;
+	char* pParString;
+	
+	
+	ptemp = new char[strlen(commandString)+1];
+	strcpy(ptemp,commandString);
+//	cout << "Received command :" << ptemp << endl;
+	
+	pObjectName = strtok(ptemp,"/");
+	
+	pActionName = strtok(NULL,"/");
+	
+//	cout << "Object |" << pObjectName << "| Action : |" << pActionName << "|" << endl;
+	
+	
+	MyObject* ptrObj = findObject(pObjectName);
+	if ( ptrObj == 0 ) {
+		cout << " Object |" << pObjectName << "| not found" << endl;
+		return;
+	}
+//	cout << " Object |" << ptrObj->getName() << "| found \n" << endl;
+
+//	cout << "|" << pObject << "|  |" << pAction << "|" << endl;
+	SmiAction* pa = findAction(ptrObj,pActionName); 
+	if ( pa == 0 )
+	{
+		cout << " Action |" << pActionName << "| not found" << endl;
+		return;
+	}
+//	cout << " Sending " << pActionName << endl;
+
+	
+        while ( pParString = strtok(NULL,"/") )
+	{
+//		cout << pParString << endl;
+		char* pName = pParString;
+		char* pNameEnd = strstr(pName," "); *pNameEnd = '\0';
+		char* pType = pNameEnd + 1; *(pType+1) = '\0';
+		char* pVal = pType + 2;
+//		cout << "monObjects....Name :|" << pName << "| Type :|" << pType << "| Value :|" << pVal << "|" << endl;
+		if ( *pType == 'S' ) 
+		{
+			int nout = convertHexToString(NULL,pVal,0);
+			if ( nout < 0 ) { return;}
+			char* tempVal = new char[nout+1];
+			convertHexToString(tempVal, pVal, nout);
+//			cout << " Converted value |" << tempVal << "|" << endl;
+			int iflg = pa->setParam(pName,tempVal);
+//			cout << " iflg : " << iflg << endl;
+			delete [] tempVal;
+		}
+		if ( *pType == 'I' ) 
+		{
+			int iVal;
+			sscanf(pVal,"%d",iVal);
+			pa->setParam(pName,iVal);
+		}
+		if ( *pType == 'F' ) 
+		{
+			double dVal;
+			sscanf(pVal,"%f",dVal);
+			pa->setParam(pName,dVal);
+		}		
+	} 
+
+	pa->send();
+	delete [] ptemp;
+
+	return;
+}
+//===========================================================================
+int getNode(string& node) {
+	char hostname[256];
+	int flg;
+	
+	flg = gethostname(hostname,255);
+	if ( flg != 0 ) {
+		return 1;
+	}
+//	cout << flg << hostname << endl;
+	node = hostname;
+	
+	return 0;
+}	
+//===========================================================================
+int main(int argc, char* argv[]) {
+
+	string serverName; int flg;
+	if ( getNode(serverName) != 0 ) {
+		cerr << "Error  Can not determine pid/host " << endl;
+		exit(1);
+	}
+	
+	if ( argc == 2 ) {
+		serverName = serverName + "/" + argv[1];
+	}
+	serverName = serverName + "/SMIGUI";
+		
+	string serviceName = serverName + "/CMNDS";
+	Command cmnd(serviceName.c_str());
+	
+	DimServer::start(serverName.c_str());
+
+/*    if ( argc <= 1 ) {
+        cerr << "Error No object file specified" << endl;
+        exit(1);
+    }
+       
+    string objectFile;
+    objectFile = argv[1];
+    
+    logflg = 0; 
+
+    if (argc > 1) {
+        logflg = 1;
+	string logFileName;
+	logFileName = argv[2];
+
+        logFile.open(logFileName.c_str());
+
+    }
+ 
+      
+    FILE *pObjectFile = fopen(objectFile.c_str(),"r+");
+
+    if (pObjectFile == NULL) {
+        cerr << "Failed to open object file " << objectFile << endl;
+	exit(21);
+    }
+
+    if (logflg) logFile << " Opened object list :" << objectFile << endl;
+    
+    ifstream infile (objectFile.c_str());
+    string objName;
+
+    getline(infile,objName,'\n');
+    if ( objName == "*test" ) {
+        testVersion(infile);
+        fclose(pObjectFile);
+	while ( 1 ) { sleep(10);}
+    }
+    */
+// This is the real thing...check the dns server
+    
+    if ( argc > 3) {
+        putenv("DIM_DNS_NODE", argv[3]);
+    }
+    
+    if ( getenv("DIM_DNS_NODE") == 0 ) {
+        cerr << "***Error monObjects DIM_DNS_NODE is undefined" << endl;
+        exit(11);
+    } 
+    
+    DimCurrentInfo dns("DIS_DNS/VERSION_NUMBER",2,-1);
+    if ( dns.getInt() == -1 ) {
+        cerr << "***Error monObjects Name server is not running" << endl;
+        exit(12);
+    } 
+ /*      
+    void* refistream;
+    while ( 1 ) {
+        registerObject(objName);
+        refistream = getline(infile,objName,'\n');
+	if (!refistream) break;
+    }
+    fclose(pObjectFile);
+   */ 
+    Timer timer(timer_tick);
+
+    while ( 1 ) { sleep(10);}
+    
+    exit(0);
+
+
+}
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/monObjectsServiceName.cxx smixx/src/utilities/monObjectsServiceName.cxx
--- smixx_web/src/utilities/monObjectsServiceName.cxx	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/monObjectsServiceName.cxx	2007-01-18 12:14:16.000000000 +0100
@@ -0,0 +1,31 @@
+#include <iostream>
+#include <stdio.h>
+#include <unistd.h>
+#include <string.h>
+using namespace std;
+int main() {
+
+	int pid;
+	char cpid[10];
+	char hostname[256];
+	int flg;
+	char serviceName[512];
+	
+	pid =getpid();
+	flg = gethostname(hostname,255);
+	if ( flg != 0 ) {
+		return 1;
+	}
+	
+	strcpy(serviceName,"SMIGUI/SERVER/CMNDS/");
+	
+	strcat(serviceName,hostname);
+	strcat(serviceName,"/");
+	
+	sprintf(cpid,"%d",pid);
+	strcat(serviceName,cpid);
+	
+//	printf("%s",serviceName);
+	cout << serviceName;
+    return 0;
+}
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/serverInError.cxx smixx/src/utilities/serverInError.cxx
--- smixx_web/src/utilities/serverInError.cxx	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/serverInError.cxx	2005-07-14 16:04:23.000000000 +0200
@@ -0,0 +1,32 @@
+#include <iostream>
+#include <dic.hxx>
+#include <string>
+using namespace std;
+
+
+int main()
+{
+	string smiDomain;
+    char *service, *format;
+    int type;
+
+    DimBrowser brsm, br;
+
+    brsm.getServices("*_SMI/VERSION_NUMBER");
+    while( type = brsm.getNextService(service,format) )
+    {
+        DimCurrentInfo ver(service,-1);
+
+        cout << ver.getInt() << "  " << service << endl;    
+    }
+
+    br.getServices("*::*/VERSION_NUMBER");
+    while( type = br.getNextService(service,format) )
+    {
+        DimCurrentInfo ver(service,-1);
+
+        cout << ver.getInt() << "  " << service << endl;    
+    }
+
+    return 0;
+}
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/tellMonObjects.cxx smixx/src/utilities/tellMonObjects.cxx
--- smixx_web/src/utilities/tellMonObjects.cxx	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/tellMonObjects.cxx	2007-01-19 16:18:24.000000000 +0100
@@ -0,0 +1,54 @@
+
+//---------------------- Client sends commands ---------------
+#include <stdlib.h>
+#include <iostream>
+#include <string>
+#include <dic.hxx> 
+using namespace std;
+//===========================================================================
+int getNode(string& node) {
+	char hostname[256];
+	int flg;
+	
+	flg = gethostname(hostname,255);
+	if ( flg != 0 ) {
+		return 1;
+	}
+//	cout << flg << hostname << endl;
+	node = hostname;
+	
+	return 0;
+}
+//==========================================================================
+int main( int argc, char* argv[] ) 
+{ 
+	string serviceName; int flg; int iarg;
+	
+//    printf("%d\n",argc);
+	if ( argc < 2 ) {
+		printf(" ***error  no arguments \n");
+		exit (1);
+	}
+	
+	if ( getNode(serviceName) != 0 ) {
+		cerr << "Error  Can not determine pid/host " << endl;
+		exit(1);
+	}
+	
+	iarg = 1;
+	if (argc == 3) {
+		serviceName = serviceName + "/" + argv[1];
+		iarg = 2;
+	} 
+	serviceName = serviceName + "/SMIGUI/CMNDS";
+
+
+//cout << "|" << serviceName.c_str() << "|" << endl;
+//cout << "|" << argv[iarg] << "|" << endl;
+	
+	DimClient::sendCommand(serviceName.c_str(),argv[iarg]); 
+	exit (0);
+} 
+
+//------------------------------------------------------------
+
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/utilities/waitObjectNotBusy.cxx smixx/src/utilities/waitObjectNotBusy.cxx
--- smixx_web/src/utilities/waitObjectNotBusy.cxx	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/utilities/waitObjectNotBusy.cxx	2005-07-14 16:04:23.000000000 +0200
@@ -0,0 +1,108 @@
+//----------------------   M a i n   P r o g r a m  --------------------------
+// $Id
+#include <iostream>
+#include <string>
+using namespace std;
+#include <stdlib.h>
+#include <smiuirtl.hxx>
+#include "smixx_common.hxx"
+
+#include <ctype.h>
+
+//==========================================================================
+class MyObject: public SmiObject
+{    
+    void  smiStateChangeHandler();
+    void smiExecutingHandler();
+    
+public:
+    MyObject(char* fullObjName): SmiObject(fullObjName) { }
+};
+//==========================================================================
+void MyObject::smiStateChangeHandler() {
+    char* state = getState();
+    if (state != 0) {
+        cout << getName() << " in state " << state << endl;
+    }
+    else {
+        cout << getName() << " in state " << "*DEAD" << endl;
+    }
+}
+//===========================================================================
+void MyObject::smiExecutingHandler() {
+    if ( getBusy() ) {
+        cout << getName() << " Busy" << endl;
+    }
+}
+//===========================================================================
+int main(int argc, char* argv[]) {
+// waitObjectNotBusy 'domain'::'object  'timeout'
+//         0                  1             2
+
+    string fullObjectName;
+    string smiDomain;
+    string objectName;
+    int timeout;
+
+    if ( argc <= 1 ) {
+        cerr << "Error No object specified" << endl;
+        exit(1);
+    }
+    
+    if ( argc >= 3 ) {
+        sscanf(argv[3],"%d",timeout);
+    }
+    
+    if ( getenv("DIM_DNS_NODE") == 0 ) {
+        cerr << "***Error getObjectState DIM_DNS_NODE is undefined" << endl;
+        exit(11);
+    } 
+    
+    DimCurrentInfo dns("DIS_DNS/VERSION_NUMBER",2,-1);
+    if ( dns.getInt() == -1 ) {
+        cerr << "***Error getObjectState Name server is not running" << endl;
+        exit(12);
+    }
+    
+    int i;
+    for(i = 0; i < strlen(argv[1]); i++) {
+          fullObjectName += toupper(argv[1][i]);
+    }
+
+    int ipos = fullObjectName.find("::");
+
+    if ( ipos < 0 ) {
+        cerr << "***Error Domain not specified" << endl;
+        exit(2);
+    }
+    
+    smiDomain = fullObjectName.substr(0,ipos);
+    
+    objectName = fullObjectName.substr(ipos+2,fullObjectName.length());
+
+    char* ptnr = const_cast<char*> (smiDomain.c_str());
+    
+    SmiDomain domain(ptnr);
+    
+    int numOfObjects = domain.getNObjects();
+    if ( numOfObjects == 0 ) {
+        cerr << "***Error Domain is not running" << endl;
+        exit(3);
+    }
+
+    ptnr = const_cast<char*> (fullObjectName.c_str());
+    
+    MyObject object(ptnr);
+    
+
+    if ( object.getState() == 0 ) {
+        cerr << "***Error Object does not exists" << endl;
+        exit(4);
+    }
+
+    while ( 1 ) { sleep(10);}
+    
+    exit(0);
+
+
+}
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/support/Makefile.am smixx/support/Makefile.am
--- smixx_web/support/Makefile.am	1970-01-01 01:00:00.000000000 +0100
+++ smixx/support/Makefile.am	2006-05-19 17:06:54.000000000 +0200
@@ -0,0 +1,25 @@
+#
+# 
+#
+EXTRA_DIST		= smixx-config.in smixx.spec
+bin_SCRIPTS		= smixx-config
+aclocaldir		= $(datadir)/aclocal
+dist_aclocal_DATA	= smixx.m4
+dist_man_MANS		= smixx-config.1	\
+			  smiSM.1		\
+			  smiGen.1		\
+			  smiTrans.1		\
+			  smiGUI.1		\
+			  smiPreproc.1		\
+			  smiSendCommand.1	\
+			  smiKill.1		\
+			  smiListDomain.1	\
+			  smiDomainExists.1	\
+		          smiProxyExists.1	\
+			  smiGetVersions.1	\
+			  smiGetDomains.1	\
+			  smimake.1
+
+#
+# EOF
+#
